> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/pregled-na-zayavkite-v-geopard-api/1.-abonament-poluchavane-na-sbitiya.md).

# 1. Абонамент: Получаване на събития

Следвайте абонаменти, когато `ВЪВЕЖДАНЕ`/`ПРОМЯНА`/`ПРЕМАХВАНЕ` се извършват действия с "Ферма", "Парцел", "СателитноИзображениеНаПарцел", "РастернаАналитичнаКарта", "ВекторнаАналитичнаКарта", други обекти.

Механизмът за абонаменти е изграден върху MQTT и WebSocket. Нашата препоръка е да започнете интеграцията като прочетете [статията за AWS AppSync абонаменти](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Събитията от абонамента се изпращат веднага щом събитието се случи в бекенда на GeoPard.
{% endhint %}

{% hint style="info" %}
Всяко абонаментно събитие има уникална идентификация, наречена `uuid`, която е полезна за филтриране на обработени и пропуснати събития, поискани от [82. Заявка: Възстановяване на абонаментни събития](/geopard-tutorials/bg/api-dokumentaciya/pregled-na-zayavkite-v-geopard-api/82.-zayavka-vzstanovyavane-na-sbitiyata-ot-abonamenta.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/pregled-na-zayavkite-v-geopard-api/1.-abonament-poluchavane-na-sbitiya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
